Skip to main content

Stop an Auto Scaling Group

Stops the group: shuts down all of its nodes and pauses autoscaling. Network operations (attach/detach VPC or public IP) are only permitted while the group is stopped. The request body is empty.

PUT/api/v1/scaler/scalegroups/{scaler_id}/stop/

Path parameters

  • scaler_idPathintegerrequired

    The id of the auto scaling group, as returned by List.

    • required
    • must be a valid auto scaling group ID
    example12345

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request.

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the group.

    • required
    • must be a valid region name (e.g., Delhi, Chennai)
    example{{location}}

Request body

application/json

object

The stop action takes an empty request body.

Responses

200Successful response
object

Stop confirmation.

codeinteger
example200
datastring
exampleYour service has been stopped successfully
errorsobject
messagestring
exampleSuccess